<div *ngIf="currentUnit" class="conversion-box">
  <mat-form-field class="conversion-box__input">
    <input
      class="conversion-box__value"
      type="number"
      matInput
      [value]="value"
      #valueInput
      (keyup)="changeValue($event)"
      (change)="changeValue($event)"
      [ngStyle]="{ 'font-size': getInputFontSize() }"
    />
  </mat-form-field>
  <div class="conversion-box__icons">
    <!-- <i class="conversion-box__icon material-icons">
      dialpad
    </i> -->
    <i
      class="conversion-box__icon material-icons"
      #tooltip="matTooltip"
      matTooltipClass="conversion-box__tooltip"
      matTooltip="{{ isCopied ? 'Copied' : 'Copy Value' }}"
      matTooltipPosition="above"
      (click)="copyToClipboard(valueInput); tooltip.show()"
      (mouseenter)="isCopied = false"
    >
      content_copy
    </i>
  </div>
  <mat-accordion class="conversion-box__units">
    <mat-expansion-panel [expanded]="isExpanded" (opened)="openUnitsPanel()">
      <mat-expansion-panel-header>
        <mat-panel-title>
          {{ currentUnit.displayName || beautifyName(currentUnit.name) }}
        </mat-panel-title>
      </mat-expansion-panel-header>
      <input type="text" matInput placeholder="Search units" [(ngModel)]="searchQuery" class="filter-box" />
      <div class="conversion-units">
        <ng-container *ngFor="let unit of units | unitsFilter: searchQuery">
          <p *ngIf="unit !== currentUnit" class="conversion-units__unit" (click)="setCurrentUnit(unit)">
            {{ unit.displayName || beautifyName(unit.name) }}
          </p>
        </ng-container>
      </div>
    </mat-expansion-panel>
  </mat-accordion>
</div>
